package com.malk.lingmingguangzi.controller;

import com.malk.lingmingguangzi.service.LingmingguangziService;
import com.malk.server.common.McR;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
import java.util.Objects;

@RestController
@Slf4j
public class LingmingguangziController {
    @Autowired
    private LingmingguangziService lingmingguangziService;

    @GetMapping("/test")
    public McR test() {
        return lingmingguangziService.test();
    }

    /**
     * 获取车载客户回收问卷数量
     */
    @GetMapping("/getCustomerQuestionnaireCount")
    public McR getVehicleCustomerCount(Long start, Long end) {
        return lingmingguangziService.getCustomerQuestionnaireCount(start, end);
    }

    /**
     * 获取消费客户回收问卷列表
     * @param start
     * @param end
     * @return
     */
    @GetMapping("/getCustomerQuestionnaireCount2")
    public McR getCustomerQuestionnaireCount2(Long start, Long end) {
        return lingmingguangziService.getCustomerQuestionnaireCount2(start, end);
    }

    @GetMapping("/getTbStageDetails")
    public McR getTbStageDetails(String stageName) {
        return lingmingguangziService.getTbStageDetails(stageName);
    }

    @PostMapping("/addCustomer")
    public McR addCustomer(@RequestBody Map map) {
        return lingmingguangziService.addCustomer(map);
    }

    @PostMapping("/updateCustomer")
    public McR updateCustomer(@RequestBody Map map) {
        return lingmingguangziService.updateCustomer(map);
    }
}
